Bug 222689 - math/py-matplotlib: Update to v2.0.x
Summary: math/py-matplotlib: Update to v2.0.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-29 15:14 UTC by Kostas Oikonomou
Modified: 2018-03-06 06:43 UTC (History)
2 users (show)

See Also:
mainland: maintainer-feedback-


Attachments
patch (401 bytes, patch)
2017-09-29 20:19 UTC, Kostas Oikonomou
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kostas Oikonomou 2017-09-29 15:14:11 UTC
Please update matplotlib to v.2.0.x
I have compiled it myself under 11.1 with no patches applied, and it seems to work fine.
Comment 1 Kostas Oikonomou 2017-09-29 20:19:43 UTC
Created attachment 186808 [details]
patch
Comment 2 mainland 2017-10-04 18:51:55 UTC
Please test your patch by, e.g., running portlint. The distinfo hasn't even been updated in this patch.

It may also be worth creating a separate py-matplotlib2 port in case people want the previous stable version.
Comment 3 Yuri Victorovich freebsd_committer 2017-12-12 02:39:02 UTC
(In reply to mainland from comment #2)

mainland@apeiron.net,

Why don't you submit a patch? You are listed as a maintainer. -)

Yuri
Comment 4 Yuri Victorovich freebsd_committer 2018-02-24 10:54:06 UTC
Maintainer timeout expired.
Comment 5 Yuri Victorovich freebsd_committer 2018-02-24 11:12:29 UTC
Committed, thanks.
Comment 6 commit-hook freebsd_committer 2018-02-24 11:12:54 UTC
A commit references this bug:

Author: yuri
Date: Sat Feb 24 11:12:26 UTC 2018
New revision: 462787
URL: https://svnweb.freebsd.org/changeset/ports/462787

Log:
  math/py-matplotlib: Update to 2.1.2

  Maintainer's timeout expired: mainland@apeiron.net

  Additional port changes:
  * Changed to DISTVERSION
  * Changed WWW to https URL

  PR:		222689
  Submitted by:	Kostas Oikonomou <ko@research.att.com> (version 2.0.2)
  Approved by:	portmgr (maintainer timeout, 14 days)
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/math/py-matplotlib/Makefile
  head/math/py-matplotlib/distinfo
  head/math/py-matplotlib/pkg-descr
Comment 7 Antoine Brodin freebsd_committer 2018-03-04 07:06:50 UTC
This update broke py-matplotlib on headi386.

Why was it committed?
Comment 8 Yuri Victorovich freebsd_committer 2018-03-04 07:18:08 UTC
(In reply to Antoine Brodin from comment #7)

Builds on 10i386, 11amd64, 12amd64 were fine. I didn't build on 12i386. Building on 12i386 now.
Comment 9 Kostas Oikonomou 2018-03-04 14:48:07 UTC
I confirm the build on 11amd64. I have also been using it with no problems.
Comment 10 Yuri Victorovich freebsd_committer 2018-03-06 06:43:45 UTC
Build errors on 12 i386 look like C++ errors.
Reported to the upstream:
https://github.com/matplotlib/matplotlib/issues/10698